from django.urls import path

from .views import (
    ImageUploadView,
    PublicImageListView,
    MyImagesListView,
    GalleryCreateView,
    MyGalleriesListView,
    GalleryDetailView,
    ImageDetailView,
    GainAccessToGalleryView,
    VisitorSettingsView,
    RevokeAccessToGallery,
    UploadToGalleryView,
    ImageThroughGalleryView
)

urlpatterns = [
    path('', PublicImageListView.as_view(), name='home'),
    path('upload/', ImageUploadView.as_view(), name='upload_image'),
    path('my_images/', MyImagesListView.as_view(), name='my_images'),
    path('create_gallery/', GalleryCreateView.as_view(), name='create_gallery'),
    path('my_galleries/', MyGalleriesListView.as_view(), name='my_galleries'),
    path('gallery/<int:pk>', GalleryDetailView.as_view(), name='gallery'),
    path('image/<int:pk>', ImageDetailView.as_view(), name='image'),
    path('gallery/gain_access/<int:gallery_id>/', GainAccessToGalleryView.as_view(), name='gallery_gain_access'),
    path('visitor/my_profile', VisitorSettingsView.as_view(), name='visitor_profile'),
    path('gallery/revoke_access/<int:gallery_id>/<int:visitor_id>', RevokeAccessToGallery.as_view(), name='gallery_revoke_access'),
    path('gallery/upload/<int:gallery_id>', UploadToGalleryView.as_view(), name='gallery_upload'),
    path('gallery/image/<int:gallery_id>/<int:image_id>', ImageThroughGalleryView.as_view(), name='image_through_gallery')
]
